#!/bin/bash

. ./.jprojects.sh || exit 255

echo "$0: JPROJECTS_HOME='${JPROJECTS_HOME}'"

NEW_BRANCH="rewrites/wildfly"

#COMMIT_MESSAGE="WildFly branch created with initial scripts, but it doesn't load my libs."
COMMIT_MESSAGE=""
COMMIT_ADD=""
AFTER_COMMIT_BRANCH="master"

for project in ${LIST}; do
	if [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		continue
	fi

	echo "$0: Processing '${project}' ..."
	cd "${JPROJECTS_HOME}/${project}"

	CHECK_BRANCH=`git branch --all | grep "${NEW_BRANCH}"`
	echo "$0: CHECK_BRANCH='${CHECK_BRANCH}'"

	if [ -z "${CHECK_BRANCH}" ]
	then
		echo "$0: Creating branch '${NEW_BRANCH}' ..."
		git checkout -b "${NEW_BRANCH}"
	fi

	if [ -n "${COMMIT_MESSAGE}" ]
	then
		if [ -n "${COMMIT_ADD}" ]
		then
			echo "$0: Adding '${COMMIT_ADD}' ..."
			git add "${COMMIT_ADD}"
		fi

		echo "$0: Committing '${NEW_BRANCH}' ..."
		git commit -m "${COMMIT_MESSAGE}" --signoff -S -a
	fi

	if [ -n "${AFTER_COMMIT_BRANCH}" ]
	then
		echo "$0: Switching in '${project}' to '${AFTER_COMMIT_BRANCH}' ..."
		git checkout "${AFTER_COMMIT_BRANCH}"
	fi
done

echo "$0: All done."
exit 0
